AGENTXTRAP(1)

NAME
agentxtrap - send an AgentX NotifyPDU to an AgentX master agent

SYNOPSIS
agentxtrap [OPTIONS] trap-oid [OID TYPE VALUE...]

DESCRIPTION
agentxtrap issues an AgentX NotifyPDU to a master agent. One or more object identifiers (OIDs) can be given as arguments on the command line. A type and a value must accompany each object identifier. Each variable name is given in the format specified in variables(5).

OPTIONS
-c contextName
    if the -c option is present then the notification is sent in the nondefault name context.
-U uptime
    if the -U option is present then that value, parsed as centiseconds, is taken to be the sysUpTime field of the application.
-x ADDRESS
    if the -x option is present then contact the AgentX master at ADDRESS and not the default one.

Additionally all the options described in snmpcmd(1) under the MIB PARSING OPTIONS, LOGGING OPTIONS and INPUT OPTIONS headers as well as the -d, -D, -m and -M options are supported.

In OID TYPE VALUE the parsing of the VALUE field is controlled by the TYPE field. The possible values for the TYPE field is one of the following characters:
    =   Let OID decide how VALUE should be interpreted
    i   INTEGER
    u   Unsigned
    c   Counter32
    s   OCTET STRING of characters
    x   OCTET STRING, entered as a sequence of optionally space separated hexadecimal digit pairs
    d   OCTET STRING, entered as a sequence of space-separated decimal digits in the range 0 - 255
    n   NULL
    o   OBJECT IDENTIFIER
    t   TimeTicks
    a   IpAddress
    b   BITS
which are handled in the same way as the snmpset command.

EXAMPLES
To send a generic linkUp trap to the manager for interface 1 the following command can be used:

agentxtrap netSnmp.0.3 ifindex.1 i 1

SEE ALSO
snmpcmd(1), snmpset(1), variables(5), RFC 2741